#pragma once

#include <frostbite2D/2d/actor.h>

namespace frostbite2D {

class Scene : public Actor {
public:
  Scene();
  virtual ~Scene();

  virtual void onEnter();
  virtual void onExit();

  void Update(float deltaTime) override;
  void Render() override;

private:
  friend class SceneManager;
};

}

